## org.eclipse.emf.mapping.domain
Interface MappingDomain

All Superinterfaces:
  EditingDomain

All Known Implementing Classes:
  AdapterFactoryMappingDomain, Ecore2EcoreEditor.Ecore2EcoreMappingDomain, PluginAdapterFactoryMappingDomain

    public interface MappingDomain

extends EditingDomain

This interface extends the editing domain to provide the additional needs for editing in a mapping scenario.

Field Summary
`static int` `ENABLE_ALL`
`static int` `ENABLE_EMPTY_INPUTS`
`static int` `ENABLE_EMPTY_OUTPUTS`
`static int` `ENABLE_INCOMPATIBLE_METAOBJECTS`
`static int` `ENABLE_INCOMPATIBLE_TYPE_CLASSIFIERS`
`static int` `ENABLE_MULTIPLE_INPUT_MAPPINGS`
`static int` `ENABLE_MULTIPLE_INPUTS`
`static int` `ENABLE_MULTIPLE_OUTPUT_MAPPINGS`
`static int` `ENABLE_MULTIPLE_OUTPUTS`
`static int` `ENABLE_UNMAPPED_PARENTS`

Method Summary
`int` `getMappingEnablementFlags()` This returns a set of flags that control enablement of mapping creation and removal commands for this domain.
`MappingRoot` `getMappingRoot()` This returns the mapping root for this domain.
`java.lang.String` `getName(java.lang.Object object)` This returns the name of the object.
`EObject` `getOutputMetaObject(EObject inputMetaObject)` This returns the output meta object corresponding to the given input meta object.
`java.lang.String` `getOutputName(java.lang.String inputName)` This returns the corresponding output name for the given input name.
`java.lang.Object` `getOutputTypeClassifier(java.lang.Object inputTypeClassifier)` This returns the corresponding type classifier for the given input type classifier.
`java.lang.Object` `getTypeClassifier(java.lang.Object mappedObject)` This returns the type classifier of the input or output object.
`java.util.List<java.lang.String>` `parseInputName(java.lang.String inputName)` This returns the list of words (substrings) in the specified input name.
`java.util.List<java.lang.String>` `parseOutputName(java.lang.String outputName)` This returns the list of words (substrings) in the specified output name.
`void` `setMappingRoot(MappingRoot root)` This sets the mapping root for this domain to use.
`void` `setName(java.lang.Object object, java.lang.String name)` This sets the name of the object.
`void` `setTypeClassifier(java.lang.Object mappedObject, java.lang.Object typeClassifier)` This sets the type classifier of the input or output object.

Methods inherited from interface org.eclipse.emf.edit.domain.EditingDomain
`createCommand, createOverrideCommand, createResource, getChildren, getClipboard, getCommandStack, getNewChildDescriptors, getOptimizeCopy, getParent, getResourceSet, getRoot, getTreePath, isControllable, isReadOnly, loadResource, setClipboard, treeIterator`

Field Detail

### ENABLE_MULTIPLE_INPUTS

    static final int ENABLE_MULTIPLE_INPUTS

See Also:
  Constant Field Values

### ENABLE_MULTIPLE_OUTPUTS

    static final int ENABLE_MULTIPLE_OUTPUTS

See Also:
  Constant Field Values

### ENABLE_MULTIPLE_INPUT_MAPPINGS

    static final int ENABLE_MULTIPLE_INPUT_MAPPINGS

See Also:
  Constant Field Values

### ENABLE_MULTIPLE_OUTPUT_MAPPINGS

    static final int ENABLE_MULTIPLE_OUTPUT_MAPPINGS

See Also:
  Constant Field Values

### ENABLE_INCOMPATIBLE_METAOBJECTS

    static final int ENABLE_INCOMPATIBLE_METAOBJECTS

See Also:
  Constant Field Values

### ENABLE_INCOMPATIBLE_TYPE_CLASSIFIERS

    static final int ENABLE_INCOMPATIBLE_TYPE_CLASSIFIERS

See Also:
  Constant Field Values

### ENABLE_EMPTY_INPUTS

    static final int ENABLE_EMPTY_INPUTS

See Also:
  Constant Field Values

### ENABLE_EMPTY_OUTPUTS

    static final int ENABLE_EMPTY_OUTPUTS

See Also:
  Constant Field Values

### ENABLE_UNMAPPED_PARENTS

    static final int ENABLE_UNMAPPED_PARENTS

See Also:
  Constant Field Values

### ENABLE_ALL

    static final int ENABLE_ALL

See Also:
  Constant Field Values

Method Detail

### getOutputMetaObject

    EObject getOutputMetaObject(EObject inputMetaObject)

  This returns the output meta object corresponding to the given input meta object.

### getName

    java.lang.String getName(java.lang.Object object)

  This returns the name of the object.

### setName

    void setName(java.lang.Object object,
                 java.lang.String name)

  This sets the name of the object.

### getOutputName

    java.lang.String getOutputName(java.lang.String inputName)

  This returns the corresponding output name for the given input name.

### parseOutputName

    java.util.List<java.lang.String> parseOutputName(java.lang.String outputName)

  This returns the list of words (substrings) in the specified output name.

### parseInputName

    java.util.List<java.lang.String> parseInputName(java.lang.String inputName)

  This returns the list of words (substrings) in the specified input name.

### getTypeClassifier

    java.lang.Object getTypeClassifier(java.lang.Object mappedObject)

  This returns the type classifier of the input or output object.

### setTypeClassifier

    void setTypeClassifier(java.lang.Object mappedObject,
                           java.lang.Object typeClassifier)

  This sets the type classifier of the input or output object.

### getOutputTypeClassifier

    java.lang.Object getOutputTypeClassifier(java.lang.Object inputTypeClassifier)

  This returns the corresponding type classifier for the given input type classifier.

### getMappingRoot

    MappingRoot getMappingRoot()

  This returns the mapping root for this domain.

### setMappingRoot

    void setMappingRoot(MappingRoot root)

  This sets the mapping root for this domain to use.

### getMappingEnablementFlags

    int getMappingEnablementFlags()

  This returns a set of flags that control enablement of mapping creation and removal commands for this domain.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.